"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AbortImportFromUrlUseCase = void 0;
var _handlerGraphql = require("@webiny/handler-graphql");
var _convertTaskToImportRecord = require("../../utils/convertTaskToImportRecord");
class AbortImportFromUrlUseCase {
  constructor(params) {
    this.getTaskUseCase = params.getTaskUseCase;
    this.abortTask = params.abortTask;
  }
  async execute(params) {
    const task = await this.getTaskUseCase.execute(params);
    if (!task) {
      throw new _handlerGraphql.NotFoundError(`Task with id "${params.id}" not found.`);
    }
    try {
      const result = await this.abortTask(params);
      return (0, _convertTaskToImportRecord.convertTaskToImportRecord)(result);
    } catch (ex) {
      console.log("Could not abort the task.");
      console.error(ex);
      throw ex;
    }
  }
}
exports.AbortImportFromUrlUseCase = AbortImportFromUrlUseCase;

//# sourceMappingURL=AbortImportFromUrlUseCase.js.map