"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHeadlessCmsImportExport = void 0;
var _api = require("@webiny/api");
var _graphql = require("./graphql");
var _apiHeadlessCms = require("@webiny/api-headless-cms");
var _crud = require("./crud");
var _tasks = require("./tasks");
const createHeadlessCmsImportExport = () => {
  const plugin = new _api.ContextPlugin(async context => {
    const installed = await (0, _apiHeadlessCms.isHeadlessCmsReady)(context);
    if (!installed) {
      return;
    }
    context.plugins.register((0, _tasks.createExportContentEntriesControllerTask)(), (0, _tasks.createExportContentEntriesTask)(), (0, _tasks.createExportContentAssets)(), (0, _tasks.createValidateImportFromUrlTask)(), (0, _tasks.createImportFromUrlControllerTask)(), (0, _tasks.createImportFromUrlDownloadTask)(), (0, _tasks.createImportFromUrlProcessEntriesTask)(), (0, _tasks.createImportFromUrlProcessAssetsTask)());
    context.cmsImportExport = await (0, _crud.createHeadlessCmsImportExportCrud)(context);
    await (0, _graphql.attachHeadlessCmsImportExportGraphQL)(context);
  });
  plugin.name = "headlessCms.context.importExport";
  return [plugin];
};
exports.createHeadlessCmsImportExport = createHeadlessCmsImportExport;

//# sourceMappingURL=index.js.map