import type { IImportFromUrlProcessEntriesInsert, IImportFromUrlProcessEntriesInsertRunParams, IImportFromUrlProcessEntriesInsertRunResult } from "./abstractions/ImportFromUrlProcessEntriesInsert";
import type { IImportFromUrlProcessEntriesInput, IImportFromUrlProcessEntriesOutput } from "./abstractions/ImportFromUrlProcessEntries";
import type { ICmsEntryManager } from "@webiny/api-headless-cms/types";
import type { Context } from "../../../types";
import type { IFileFetcher } from "../../utils/fileFetcher";
export interface IImportFromUrlProcessEntriesInsertParams {
    entryManager: ICmsEntryManager;
    fileFetcher: IFileFetcher;
}
export declare class ImportFromUrlProcessEntriesInsert<C extends Context = Context, I extends IImportFromUrlProcessEntriesInput = IImportFromUrlProcessEntriesInput, O extends IImportFromUrlProcessEntriesOutput = IImportFromUrlProcessEntriesOutput> implements IImportFromUrlProcessEntriesInsert<C, I, O> {
    private readonly entryManager;
    private readonly fileFetcher;
    constructor(params: IImportFromUrlProcessEntriesInsertParams);
    run(params: IImportFromUrlProcessEntriesInsertRunParams<C, I, O>): Promise<IImportFromUrlProcessEntriesInsertRunResult<I, O>>;
    /**
     * Method reads and parses the target file.
     * In case of any error, it will log it, attach to the result parameter and return null.
     */
    private readAndParse;
    private takeFile;
    private takeNextFile;
}
