"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImportFromUrlControllerTask = void 0;
var _tasks = require("@webiny/tasks");
var _constants = require("./constants");
const createImportFromUrlControllerTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.IMPORT_FROM_URL_CONTROLLER_TASK,
    title: "Import from URL List - Controller",
    maxIterations: 500,
    isPrivate: true,
    description: "Imports the data from the given URL list - controller.",
    async run(params) {
      const {
        ImportFromUrlController
      } = await import(/* webpackChunkName: "ImportFromUrlController" */"./domain/ImportFromUrlController");
      try {
        const runner = new ImportFromUrlController();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    },
    async onDone({
      task
    }) {
      const {
        createDeleteFiles
      } = await import(/* webpackChunkName: "DeleteFiles" */"./utils/deleteFiles/DeleteFiles");
      const deleteFiles = createDeleteFiles();
      await deleteFiles.execute(task.output?.files);
    }
  });
};
exports.createImportFromUrlControllerTask = createImportFromUrlControllerTask;

//# sourceMappingURL=importFromUrlController.js.map