"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImportFromUrlDownloadTask = void 0;
var _constants = require("./constants");
var _tasks = require("@webiny/tasks");
const createImportFromUrlDownloadTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.IMPORT_FROM_URL_DOWNLOAD_TASK,
    title: "Import from URL List - Download",
    maxIterations: 500,
    isPrivate: true,
    description: "Downloads the files from external URL.",
    async run(params) {
      const {
        ImportFromUrlDownload
      } = await import(/* webpackChunkName: "ImportFromUrlDownload" */"./domain/ImportFromUrlDownload");
      try {
        const runner = new ImportFromUrlDownload();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createImportFromUrlDownloadTask = createImportFromUrlDownloadTask;

//# sourceMappingURL=importFromUrlDownload.js.map