import type { IZipper } from "../zipper";
import type { IEntryAssets, IEntryAssetsResolver } from "../entryAssets";
import type { ICmsEntryFetcher } from "../cmsEntryFetcher";
import type { ICmsAssetsZipper, ICmsAssetsZipperExecuteParams, ICmsAssetsZipperExecuteResult } from "./abstractions/CmsAssetsZipper";
import type { IFileFetcher } from "../fileFetcher";
export interface ICmsAssetsZipperConfig {
    zipper: IZipper;
    entryFetcher: ICmsEntryFetcher;
    createEntryAssets: () => IEntryAssets;
    createEntryAssetsResolver: () => IEntryAssetsResolver;
    fileFetcher: IFileFetcher;
}
export declare class CmsAssetsZipper implements ICmsAssetsZipper {
    private readonly zipper;
    private readonly entryFetcher;
    private readonly createEntryAssets;
    private readonly createEntryAssetsResolver;
    private readonly fileFetcher;
    constructor(params: ICmsAssetsZipperConfig);
    execute(params: ICmsAssetsZipperExecuteParams): Promise<ICmsAssetsZipperExecuteResult>;
}
