"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createValidateImportFromUrlTask = void 0;
var _tasks = require("@webiny/tasks");
var _constants = require("./constants");
const createValidateImportFromUrlTask = () => {
  return (0, _tasks.createTaskDefinition)({
    id: _constants.VALIDATE_IMPORT_FROM_URL_INTEGRITY_TASK,
    title: "Validate Import from URL Integrity",
    maxIterations: 1,
    isPrivate: true,
    description: "Validates given URLs to verify that they are what we need to import the data.",
    async run(params) {
      const {
        createValidateImportFromUrl
      } = await import(/* webpackChunkName: "createValidateImportFromUrl" */"./domain/createValidateImportFromUrl");
      try {
        const runner = createValidateImportFromUrl();
        return await runner.run(params);
      } catch (ex) {
        return params.response.error(ex);
      }
    }
  });
};
exports.createValidateImportFromUrlTask = createValidateImportFromUrlTask;

//# sourceMappingURL=validateImportFromUrl.js.map